<?php
/**
 * DOCman 1.4 Migrator plugin
 * @version $Id:docman_groups.php 572 2008-01-22 16:47:24Z mjaz $
 * @package DOCman_1.4_migrator
 * @copyright (C) 2003-2009 Joomlatools
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.joomlatools.eu/ Official website
 **/

/**
 * Docman Groups ETL plugin
 */
class Docman_groups_ETL extends ETLPlugin
{

    /**
     * Returns the name of the plugin
     */
    function getName()
    {
        return "DOCman Groups ETL Plugin";
    }

    /**
     * Returns the table that this plugin transforms
     */
    function getAssociatedTable()
    {
        return 'docman_groups';
    }

    /**
     * Generates any SQL statements that need to be completed before the rows are generated
     */
    function getSQLPrologue()
    {
        $ret = <<<EOT
        
CREATE TABLE IF NOT EXISTS `jos_docman_groups` (
  `groups_id` int(11) NOT NULL auto_increment,
  `groups_name` text NOT NULL,
  `groups_description` longtext,
  `groups_access` tinyint(4) NOT NULL default 1,
  `groups_members` text NULL,
   PRIMARY KEY (`groups_id`) )
   TYPE=MyISAM;
   
EOT;
        return $ret;
    }
}