<?php
/**
 * DOCman 1.4 Migrator plugin
 * @version $Id:docman_history.php 572 2008-01-22 16:47:24Z mjaz $
 * @package DOCman_1.4_migrator
 * @copyright (C) 2003-2009 Joomlatools
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.joomlatools.eu/ Official website
 **/

/**
 * Docman history ETL plugin
 */
class Docman_history_ETL extends ETLPlugin
{

    /**
     * Returns the name of the plugin
     */
    function getName()
	{
        return "DOCman History ETL Plugin";
    }

    /**
     * Returns the table that this plugin transforms
     */
    function getAssociatedTable()
{
        return 'docman_history';
    }

    /**
     * Generates any SQL statements that need to be completed before the rows are generated
     */
    function getSQLPrologue()
    {
        $ret = <<<EOT
        
CREATE TABLE IF NOT EXISTS `jos_docman_history` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `doc_id` INT NOT NULL ,
  `revision` INT( 5 ) DEFAULT 1 NOT NULL,
  `his_date` DATETIME NOT NULL ,
  `his_who` INT NOT NULL ,
  `his_obs` LONGTEXT, PRIMARY KEY (`id`) )
  TYPE=MyISAM;
  
EOT;
        return $ret;
    }
}