<?php
/**
 * DOCman 1.4 Migrator plugin
 * @version $Id:docman_licenses.php 572 2008-01-22 16:47:24Z mjaz $
 * @package DOCman_1.4_migrator
 * @copyright (C) 2003-2009 Joomlatools
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.joomlatools.eu/ Official website
 **/

/**
 * Docman License ETL plugin
 */
class Docman_licenses_ETL extends ETLPlugin
{

    /**
     * Returns the name of the plugin
     */
    function getName()
	{
        return "DOCman Licenses ETL Plugin";
    }

    /**
     * Returns the table that this plugin transforms
     */
    function getAssociatedTable()
	{
        return 'docman_licenses';
    }

    /**
     * Generates any SQL statements that need to be completed before the rows are generated
     */
    function getSQLPrologue()
    {
        $ret = <<<EOT
        
CREATE TABLE IF NOT EXISTS `jos_docman_licenses` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL ,
  `license` text NOT NULL, PRIMARY KEY (`id`) )
  TYPE=MyISAM;
  
EOT;
        return $ret;
    }
}