<?php
/**
 * DOCman 1.4 Migrator plugin
 * @version $Id:docman_log.php 572 2008-01-22 16:47:24Z mjaz $
 * @package DOCman_1.4_migrator
 * @copyright (C) 2003-2009 Joomlatools
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.joomlatools.eu/ Official website
 **/

/**
 * Docman Log ETL plugin
 */
class Docman_log_ETL extends ETLPlugin
{

    /**
     * Returns the name of the plugin
     */
    function getName()
    {
        return "DOCman Log ETL Plugin";
    }

    /**
     * Returns the table that this plugin transforms
     */
    function getAssociatedTable()
    {
        return 'docman_log';
    }

    /**
     * Generates any SQL statements that need to be completed before the rows are generated
     */
    function getSQLPrologue()
    {
        $ret = <<<EOT
        
CREATE TABLE IF NOT EXISTS `jos_docman_log` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `log_docid` INT NOT NULL ,
  `log_ip` text NOT NULL,
  `log_datetime` DATETIME NOT NULL,
  `log_user` INT NOT NULL DEFAULT 0,
  `log_browser` text, `log_os` text,
  PRIMARY KEY (`id`) )
  TYPE=MyISAM;
  
EOT;
        return $ret;
    }
}