<?php
/**
 * DOCman 1.4 Migrator plugin
 * @version $Id: README.php 778 2009-02-08 12:07:21Z mathias $
 * @package DOCman_1.4_migrator
 * @copyright (C) 2003-2009 Joomlatools
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.joomlatools.eu/ Official website
 **/
defined('_VALID_MOS') or die('Restricted access');
?>

DOCman 1.4 Migrator plugin
--------------------------

Compatibility
-------------
* DOCman 1.3RC2 and all 1.4.x versions
* Joomla! 1.5.0 Stable or higher
* Com_migrator 1.0RC6 or higher:
  http://joomlacode.org/gf/project/pasamioprojects/frs/?action=FrsReleaseBrowse&frs_package_id=2588


Please refer to the documentation of the Migrator component for more in-depth
instructions. You can find some here:
* http://docs.joomla.org/Migrating_from_1.0.x_to_1.5_Stable
* http://www.joomla.org/component/option,com_jd-wp/Itemid,105/p,473/


Migrating a Joomla! 1.0.x site to a new 1.5.x site
----------------------------------------------
 1. Extract the zip package.
 2. Install the migrator component in the J!1.0.x site.
 3. In the main migrator screen, click 'Add 3PD Party Migrators'.
 4. Upload these files
      docman.php
      docman_groups.php
      docman_history.php
      docman_licenses.php
      docman_logs.php
 5. Back in the main migrator screen, click 'List Plugins' to check if the
    install was succesful. You should see all 5 DOCman plugins.
 6. Execute the migration process normally. When done, download the SQL file
 7. Upload the SQL file during the installation of J!1.5. Make sure you enable
    the 'This is a Joomla! 1.0.x script' checkbox.
 8. Copy all files from your old site's /dmdocuments folder to your new site.
 9. In the Joomla! 1.5 backend, turn on Legacy mode and install DOCman 1.4.


Notes
-----
* DOCman categories are stored in the main Joomla! categories table. Make
  sure you export the #__categories table as well (this is the default setting).
* DOCman also depends on the users table, so you'll need that one as well.


Migrating DOCman from a Joomla! 1.0.x site to an EXISTING 1.5.x site
--------------------------------------------------------------------

 1. Extract the zip package.
 2. Install the migrator component in the J!1.0.x site.
 3. In the main migrator screen, click 'Add 3PD Party Migrators'.
 4. Upload these files
      docman.php
      docman_groups.php
      docman_history.php
      docman_licenses.php
      docman_logs.php
 5. Back in the main migrator screen, click 'List Plugins' to check if the
    install was succesful. You should see all 5 DOCman plugins.
 6. Click 'Create Migration SQL File' and select ONLY the DOCman plugins
 7. Download the SQL file
 8. Go to your Joomla! 1.5 site's phpMyAdmin page. Ask your hosting company
    where to find it.
 9. Make sure you are in the right database (the one that is used by the 1.5
    site) and click the import tab.
10. Choose the correct character set and upload the SQL file. If it is too big,
    you can compress first.
11. Copy all files from your old site's /dmdocuments folder to your new site.
12. In the Joomla! 1.5 backend, turn on Legacy mode and install DOCman 1.4.

Notes
-----
Migrating to an existing J!1.5 site might cause inconsistencies concerning with
the way documents are assigned to categories, because DOCman shares the
#__categories table with the Joomla! core. You can choose to recreate the DOCman
categories manually, or if you have some experience with SQL, you could try
reassigning ID's to the categories in the exported SQL file. There is currently
no official fix or workaround for this problem.